# $Revision: 1.16 $, $Date: 2010/10/07 09:54:21 $
%include	/usr/lib/rpm/macros.php
%define		_status		devel
%define		_pearname	File_DNS
Summary:	%{_pearname} - Manipulate RFC1033-style DNS Zonefiles
Summary(pl.UTF-8):	%{_pearname} - Manipulacja plikami stref DNS w formacie RFC1033
Name:		php-pear-%{_pearname}
Version:	0.1.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	65d7a55c5ea30cb2fb11ed99f41abf98
URL:		http://pear.php.net/package/File_DNS/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-File
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File_DNS class provides a way to read, edit and write RFC1033
style DNS Zones.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa File_DNS dostarcza łatwego w użyciu sposobu do odczytu, edycji
oraz zapisu plików stref DNS w stylu RFC1033.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/%{_pearname}/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# tests should not be packaged
rm -rf $RPM_BUILD_ROOT%{php_pear_dir}/tests/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/DNS.php

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_DNS.spec,v $
Revision 1.16  2010/10/07 09:54:21  glen
- update build deps

Revision 1.15  2010/10/07 09:54:01  glen
- up to 0.1.0

Revision 1.14  2008/01/31 12:17:18  glen
- rel 5

Revision 1.13  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.11  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.10  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.9  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.8  2006/02/16 18:56:35  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.7  2005/10/05 20:11:06  glen
- rel 3

Revision 1.6  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.5  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.4  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.3  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/07/11 10:32:57  adamg
- fixed URL
- cut off template changelog

Revision 1.1  2004/07/11 10:27:23  adamg
- new
